Foxit PDF SDK

Instance Methods | Properties | List of all members
FSReadingBookmark Class Reference
Inheritance diagram for FSReadingBookmark:

## Instance Methods
(FSDateTime *) | - getDateTime:
| Get date time information. More...
(id) | - initWithOther:
| Constructor, with another reading bookmark object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - setDateTime:is_creation_date:
| Set date time information. More...

## Properties
int | pageIndex
| Get or Set the index of the destination page.
NSString * | title
| Get or Set the title.

## Detailed Description

Reading bookmark is not a PDF bookmark, in other words, it is not PDF outlines. It is the bookmark in applicable level. It is stored in the metadata (XML format) of catalog. It allows user to add or remove a reading bookmark according to their reading preferences and navigate one PDF page easily by selecting one reading bookmark.
In order to retrieve the reading bookmark, function FSPDFDoc::getReadingBookmarkCount could be called to count the reading bookmarks, and function FSPDFDoc::getReadingBookmark: could be called to get a reading bookmark by index.
This class offers several functions to get/set properties of reading bookmarks, such as title, destination page index and creation/modified date time.

See also
  FSPDFDoc

## Method Documentation

## ◆ getDateTime:()

- (FSDateTime *) getDateTime: |  | (BOOL) | is_creation_date |

Get date time information.

Parameters

  [in] | is_creation_date | YES means to get creation date time information, and NO means to get last modified date time information.

Returns
  The specified date and time. If no specified date and time property can be found, this function will return a date and time object with all values 0.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSReadingBookmark*) | other |

Constructor, with another reading bookmark object.

Parameters

  [in] | other | Another reading bookmark object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setDateTime:is_creation_date:()

- (void) setDateTime: |  | (FSDateTime*) | date_time
is_creation_date: |  | (BOOL) | is_creation_date

Set date time information.

Parameters

  [in] | date_time | New date time information. All the values of this date obejct should be valid. Please refer to comment of class FSDateTime for more details.
  [in] | is_creation_date | YES means to get creation date time information, and NO means to get last modified date time information.

return None.